This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 145049 - CAN-2005-0064 xpdf buffer overflow
CAN-2005-0064 xpdf buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xpdf (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Mike McLean
impact=important,embargoed=20050118
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 17:30 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 10:38:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
iDEFENSE advisory (4.07 KB, text/plain)
2005-01-13 17:32 EST, Josh Bressers
no flags Details
Demo pdf that triggers this issue. (1.07 KB, application/octet-stream)
2005-01-20 17:13 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2005-01-13 17:30:27 EST
iDEFENSE has reported a stack based buffer overflow in xpdf.

The patch is here:
ftp://ftp.foolabs.com/pub/xpdf/xpdf-3.00pl3.patch
Comment 1 Josh Bressers 2005-01-13 17:32:02 EST
This issue does not affect RHEL2.1
Comment 2 Josh Bressers 2005-01-13 17:32:52 EST
Created attachment 109745 [details]
iDEFENSE advisory
Comment 3 Josh Bressers 2005-01-14 07:16:17 EST
The patch URL does not yet work.  We don't have a patch from upstream yet.  I'll
update the bugs as soon as I know.
Comment 4 Josh Bressers 2005-01-18 16:51:05 EST
Lifting embargo.
Comment 5 Ngo Than 2005-01-20 06:27:07 EST
it's now fixed in xpdf-2.02-9.5
Comment 6 Josh Bressers 2005-01-20 10:09:20 EST
The iDEFENSE advisory is here.

http://www.idefense.com/application/poi/display?id=186&type=vulnerabilities
Comment 7 Josh Bressers 2005-01-20 17:13:01 EST
Created attachment 110032 [details]
Demo pdf that triggers this issue.
Comment 8 Josh Bressers 2005-01-26 10:38:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-059.html

Note You need to log in before you can comment on or make changes to this bug.